com.jogamp.gluegen.cgram

## Class GnuCParser

- java.lang.Object
- - antlr.LLkParser
  - - com.jogamp.gluegen.cgram.GnuCParser

- All Implemented Interfaces:
    GNUCTokenTypes

      public class GnuCParser
      extends antlr.LLkParser
      implements GNUCTokenTypes

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String[]` | `_tokenNames`
    `static BitSet` | `_tokenSet_0`
    `static BitSet` | `_tokenSet_1`
    `static BitSet` | `_tokenSet_10`
    `static BitSet` | `_tokenSet_11`
    `static BitSet` | `_tokenSet_12`
    `static BitSet` | `_tokenSet_13`
    `static BitSet` | `_tokenSet_14`
    `static BitSet` | `_tokenSet_15`
    `static BitSet` | `_tokenSet_16`
    `static BitSet` | `_tokenSet_17`
    `static BitSet` | `_tokenSet_18`
    `static BitSet` | `_tokenSet_19`
    `static BitSet` | `_tokenSet_2`
    `static BitSet` | `_tokenSet_20`
    `static BitSet` | `_tokenSet_21`
    `static BitSet` | `_tokenSet_22`
    `static BitSet` | `_tokenSet_23`
    `static BitSet` | `_tokenSet_24`
    `static BitSet` | `_tokenSet_25`
    `static BitSet` | `_tokenSet_26`
    `static BitSet` | `_tokenSet_27`
    `static BitSet` | `_tokenSet_28`
    `static BitSet` | `_tokenSet_29`
    `static BitSet` | `_tokenSet_3`
    `static BitSet` | `_tokenSet_30`
    `static BitSet` | `_tokenSet_31`
    `static BitSet` | `_tokenSet_32`
    `static BitSet` | `_tokenSet_33`
    `static BitSet` | `_tokenSet_34`
    `static BitSet` | `_tokenSet_35`
    `static BitSet` | `_tokenSet_36`
    `static BitSet` | `_tokenSet_37`
    `static BitSet` | `_tokenSet_38`
    `static BitSet` | `_tokenSet_39`
    `static BitSet` | `_tokenSet_4`
    `static BitSet` | `_tokenSet_40`
    `static BitSet` | `_tokenSet_41`
    `static BitSet` | `_tokenSet_42`
    `static BitSet` | `_tokenSet_43`
    `static BitSet` | `_tokenSet_44`
    `static BitSet` | `_tokenSet_45`
    `static BitSet` | `_tokenSet_46`
    `static BitSet` | `_tokenSet_47`
    `static BitSet` | `_tokenSet_48`
    `static BitSet` | `_tokenSet_49`
    `static BitSet` | `_tokenSet_5`
    `static BitSet` | `_tokenSet_50`
    `static BitSet` | `_tokenSet_51`
    `static BitSet` | `_tokenSet_52`
    `static BitSet` | `_tokenSet_53`
    `static BitSet` | `_tokenSet_54`
    `static BitSet` | `_tokenSet_55`
    `static BitSet` | `_tokenSet_56`
    `static BitSet` | `_tokenSet_57`
    `static BitSet` | `_tokenSet_58`
    `static BitSet` | `_tokenSet_59`
    `static BitSet` | `_tokenSet_6`
    `static BitSet` | `_tokenSet_60`
    `static BitSet` | `_tokenSet_61`
    `static BitSet` | `_tokenSet_62`
    `static BitSet` | `_tokenSet_63`
    `static BitSet` | `_tokenSet_64`
    `static BitSet` | `_tokenSet_65`
    `static BitSet` | `_tokenSet_66`
    `static BitSet` | `_tokenSet_67`
    `static BitSet` | `_tokenSet_68`
    `static BitSet` | `_tokenSet_69`
    `static BitSet` | `_tokenSet_7`
    `static BitSet` | `_tokenSet_70`
    `static BitSet` | `_tokenSet_71`
    `static BitSet` | `_tokenSet_72`
    `static BitSet` | `_tokenSet_73`
    `static BitSet` | `_tokenSet_74`
    `static BitSet` | `_tokenSet_75`
    `static BitSet` | `_tokenSet_76`
    `static BitSet` | `_tokenSet_77`
    `static BitSet` | `_tokenSet_78`
    `static BitSet` | `_tokenSet_79`
    `static BitSet` | `_tokenSet_8`
    `static BitSet` | `_tokenSet_80`
    `static BitSet` | `_tokenSet_81`
    `static BitSet` | `_tokenSet_82`
    `static BitSet` | `_tokenSet_83`
    `static BitSet` | `_tokenSet_9`
    `static boolean` | `CPPComments`
    `CSymbolTable` | `symbolTable`
    `protected int` | `unnamedScopeCounter`

    - ### Fields inherited from interface com.jogamp.gluegen.cgram.GNUCTokenTypes

      `ASSIGN, BadStringLiteral, BAND, BAND_ASSIGN, BNOT, BOR, BOR_ASSIGN, BXOR, BXOR_ASSIGN, CharLiteral, COLON, COMMA, Comment, CPPComment, DEC, DefineExpr, DefineExpr2, Digit, DIV, DIV_ASSIGN, DOT, DoubleDoubleConst, EOF, EQUAL, Escape, Exponent, FloatDoubleConst, FloatSuffix, GT, GTE, ID, INC, IntHexConst, IntIntConst, IntOctalConst, LAND, LBRACKET, LCURLY, LineDirective, LITERAL___alignof, LITERAL___attribute, LITERAL___complex, LITERAL___imag, LITERAL___label__, LITERAL___real, LITERAL_asm, LITERAL_auto, LITERAL_break, LITERAL_case, LITERAL_char, LITERAL_const, LITERAL_continue, LITERAL_default, LITERAL_do, LITERAL_double, LITERAL_else, LITERAL_enum, LITERAL_extern, LITERAL_float, LITERAL_for, LITERAL_goto, LITERAL_if, LITERAL_inline, LITERAL_int, LITERAL_intptr_t, LITERAL_long, LITERAL_ptrdiff_t, LITERAL_register, LITERAL_return, LITERAL_short, LITERAL_signed, LITERAL_size_t, LITERAL_sizeof, LITERAL_static, LITERAL_struct, LITERAL_switch, LITERAL_typedef, LITERAL_typeof, LITERAL_uintptr_t, LITERAL_union, LITERAL_unsigned, LITERAL_void, LITERAL_volatile, LITERAL_wchar_t, LITERAL_while, LNOT, LongDoubleConst, LongHexConst, LongIntConst, LongOctalConst, LongSuffix, LOR, LPAREN, LSHIFT, LSHIFT_ASSIGN, LT, LTE, MINUS, MINUS_ASSIGN, MOD, MOD_ASSIGN, NAsmAttribute, NCast, NCommaExpr, NCompoundStatement, NDeclaration, NDeclarator, NEmptyExpression, NExpressionGroup, NFunctionCallArgs, NFunctionDef, NGnuAsmExpr, NInitDecl, NInitializer, NInitializerElementLabel, NLabel, NLcurlyInitializer, NNonemptyAbstractDeclarator, NonWhitespace, NOT_EQUAL, NParameterDeclaration, NParameterTypeList, NPointerGroup, NPostfixExpr, NRangeExpr, NStatementExpr, NStringSeq, NStructDeclarator, NTypedefName, NTypeMissing, NULL_TREE_LOOKAHEAD, Number, NUnaryExpr, PLUS, PLUS_ASSIGN, PREPROC_DIRECTIVE, PTR, QUESTION, RBRACKET, RCURLY, RPAREN, RSHIFT, RSHIFT_ASSIGN, SEMI, Space, STAR, STAR_ASSIGN, StringLiteral, UnsignedHexConst, UnsignedIntConst, UnsignedOctalConst, UnsignedSuffix, VARARGS, Vocabulary, Whitespace`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `GnuCParser(ParserSharedInputState state)`
    `` | `GnuCParser(TokenBuffer tokenBuf)`
    `protected` | `GnuCParser(TokenBuffer tokenBuf, int k)`
    `` | `GnuCParser(TokenStream lexer)`
    `protected` | `GnuCParser(TokenStream lexer, int k)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `additiveExpr()`
    `void` | `argExprList()`
    `void` | `asm_expr()`
    `void` | `assignExpr()`
    `void` | `assignOperator()`
    `void` | `attribute()`
    `void` | `attributeDecl()`
    `void` | `attributeList()`
    `void` | `bitAndExpr()`
    `protected void` | `buildTokenTypeASTClassMap()`
    `void` | `castExpr()`
    `protected void` | `charConst()`
    `void` | `compoundStatement(String scopeName)`
    `void` | `conditionalExpr()`
    `void` | `constExpr()`
    `void` | `declaration()`
    `void` | `declarationList()`
    `void` | `declarationPredictor()`
    `String` | `declarator(boolean isFunctionDefinition)`
    `void` | `declaratorParamaterList(boolean isFunctionDefinition, String declName)`
    `void` | `declSpecifiers()`
    `void` | `dummy()`
    `void` | `enumerator(String enumName)`
    `void` | `enumList(String enumName)`
    `void` | `enumSpecifier()`
    `void` | `equalityExpr()`
    `void` | `exclusiveOrExpr()`
    `void` | `expr()`
    `void` | `externalDef()`
    `void` | `externalList()`
    `protected void` | `floatConst()`
    `void` | `functionCall()`
    `void` | `functionDeclSpecifiers()`
    `void` | `functionDef()`
    `void` | `functionPrefix()`
    `void` | `functionStorageClassSpecifier()`
    `String` | `getAScopeName()`
    `void` | `gnuAsmExpr()`
    `void` | `idList()`
    `void` | `inclusiveOrExpr()`
    `void` | `initDecl(AST declarationSpecifiers)`
    `void` | `initDeclList(AST declarationSpecifiers)`
    `void` | `initializer()`
    `void` | `initializerElementLabel()`
    `void` | `initializerList()`
    `protected void` | `intConst()`
    `boolean` | `isTypedefName(String name)`
    `void` | `lcurlyInitializer()`
    `void` | `localLabelDeclaration()`
    `void` | `logicalAndExpr()`
    `void` | `logicalOrExpr()`
    `void` | `match(int t)`
    `void` | `multExpr()`
    `void` | `nestedFunctionDef()`
    `void` | `nonemptyAbstractDeclarator()`
    `void` | `parameterDeclaration()`
    `void` | `parameterTypeList()`
    `void` | `pointerGroup()`
    `void` | `popScope()`
    `void` | `postfixExpr()`
    `void` | `postfixSuffix()`
    `void` | `primaryExpr()`
    `void` | `pushScope(String scopeName)`
    `void` | `rangeExpr()`
    `void` | `relationalExpr()`
    `void` | `reportError(RecognitionException ex)`
    `void` | `reportWarning(String s)`
    `void` | `shiftExpr()`
    `void` | `specifierQualifierList()`
    `void` | `statement()`
    `void` | `statementList()`
    `void` | `storageClassSpecifier()`
    `protected void` | `stringConst()`
    `void` | `strOptExprPair()`
    `void` | `structDeclaration()`
    `void` | `structDeclarationList()`
    `void` | `structDeclarator()`
    `void` | `structDeclaratorList()`
    `void` | `structOrUnion()`
    `void` | `structOrUnionSpecifier()`
    `void` | `traceIn(String rname)`
    `void` | `traceOut(String rname)`
    `void` | `translationUnit()`
    `void` | `typedefName()`
    `void` | `typelessDeclaration()`
    `void` | `typeName()`
    `void` | `typeQualifier()`
    `int` | `typeSpecifier(int specCount)`
    `void` | `unaryExpr()`
    `void` | `unaryOperator()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CPPComments

          public static boolean CPPComments

    - #### symbolTable

          public CSymbolTable symbolTable

    - #### unnamedScopeCounter

          protected int unnamedScopeCounter

    - #### _tokenNames

          public static final String[] _tokenNames

    - #### _tokenSet_0

          public static final BitSet _tokenSet_0

    - #### _tokenSet_1

          public static final BitSet _tokenSet_1

    - #### _tokenSet_2

          public static final BitSet _tokenSet_2

    - #### _tokenSet_3

          public static final BitSet _tokenSet_3

    - #### _tokenSet_4

          public static final BitSet _tokenSet_4

    - #### _tokenSet_5

          public static final BitSet _tokenSet_5

    - #### _tokenSet_6

          public static final BitSet _tokenSet_6

    - #### _tokenSet_7

          public static final BitSet _tokenSet_7

    - #### _tokenSet_8

          public static final BitSet _tokenSet_8

    - #### _tokenSet_9

          public static final BitSet _tokenSet_9

    - #### _tokenSet_10

          public static final BitSet _tokenSet_10

    - #### _tokenSet_11

          public static final BitSet _tokenSet_11

    - #### _tokenSet_12

          public static final BitSet _tokenSet_12

    - #### _tokenSet_13

          public static final BitSet _tokenSet_13

    - #### _tokenSet_14

          public static final BitSet _tokenSet_14

    - #### _tokenSet_15

          public static final BitSet _tokenSet_15

    - #### _tokenSet_16

          public static final BitSet _tokenSet_16

    - #### _tokenSet_17

          public static final BitSet _tokenSet_17

    - #### _tokenSet_18

          public static final BitSet _tokenSet_18

    - #### _tokenSet_19

          public static final BitSet _tokenSet_19

    - #### _tokenSet_20

          public static final BitSet _tokenSet_20

    - #### _tokenSet_21

          public static final BitSet _tokenSet_21

    - #### _tokenSet_22

          public static final BitSet _tokenSet_22

    - #### _tokenSet_23

          public static final BitSet _tokenSet_23

    - #### _tokenSet_24

          public static final BitSet _tokenSet_24

    - #### _tokenSet_25

          public static final BitSet _tokenSet_25

    - #### _tokenSet_26

          public static final BitSet _tokenSet_26

    - #### _tokenSet_27

          public static final BitSet _tokenSet_27

    - #### _tokenSet_28

          public static final BitSet _tokenSet_28

    - #### _tokenSet_29

          public static final BitSet _tokenSet_29

    - #### _tokenSet_30

          public static final BitSet _tokenSet_30

    - #### _tokenSet_31

          public static final BitSet _tokenSet_31

    - #### _tokenSet_32

          public static final BitSet _tokenSet_32

    - #### _tokenSet_33

          public static final BitSet _tokenSet_33

    - #### _tokenSet_34

          public static final BitSet _tokenSet_34

    - #### _tokenSet_35

          public static final BitSet _tokenSet_35

    - #### _tokenSet_36

          public static final BitSet _tokenSet_36

    - #### _tokenSet_37

          public static final BitSet _tokenSet_37

    - #### _tokenSet_38

          public static final BitSet _tokenSet_38

    - #### _tokenSet_39

          public static final BitSet _tokenSet_39

    - #### _tokenSet_40

          public static final BitSet _tokenSet_40

    - #### _tokenSet_41

          public static final BitSet _tokenSet_41

    - #### _tokenSet_42

          public static final BitSet _tokenSet_42

    - #### _tokenSet_43

          public static final BitSet _tokenSet_43

    - #### _tokenSet_44

          public static final BitSet _tokenSet_44

    - #### _tokenSet_45

          public static final BitSet _tokenSet_45

    - #### _tokenSet_46

          public static final BitSet _tokenSet_46

    - #### _tokenSet_47

          public static final BitSet _tokenSet_47

    - #### _tokenSet_48

          public static final BitSet _tokenSet_48

    - #### _tokenSet_49

          public static final BitSet _tokenSet_49

    - #### _tokenSet_50

          public static final BitSet _tokenSet_50

    - #### _tokenSet_51

          public static final BitSet _tokenSet_51

    - #### _tokenSet_52

          public static final BitSet _tokenSet_52

    - #### _tokenSet_53

          public static final BitSet _tokenSet_53

    - #### _tokenSet_54

          public static final BitSet _tokenSet_54

    - #### _tokenSet_55

          public static final BitSet _tokenSet_55

    - #### _tokenSet_56

          public static final BitSet _tokenSet_56

    - #### _tokenSet_57

          public static final BitSet _tokenSet_57

    - #### _tokenSet_58

          public static final BitSet _tokenSet_58

    - #### _tokenSet_59

          public static final BitSet _tokenSet_59

    - #### _tokenSet_60

          public static final BitSet _tokenSet_60

    - #### _tokenSet_61

          public static final BitSet _tokenSet_61

    - #### _tokenSet_62

          public static final BitSet _tokenSet_62

    - #### _tokenSet_63

          public static final BitSet _tokenSet_63

    - #### _tokenSet_64

          public static final BitSet _tokenSet_64

    - #### _tokenSet_65

          public static final BitSet _tokenSet_65

    - #### _tokenSet_66

          public static final BitSet _tokenSet_66

    - #### _tokenSet_67

          public static final BitSet _tokenSet_67

    - #### _tokenSet_68

          public static final BitSet _tokenSet_68

    - #### _tokenSet_69

          public static final BitSet _tokenSet_69

    - #### _tokenSet_70

          public static final BitSet _tokenSet_70

    - #### _tokenSet_71

          public static final BitSet _tokenSet_71

    - #### _tokenSet_72

          public static final BitSet _tokenSet_72

    - #### _tokenSet_73

          public static final BitSet _tokenSet_73

    - #### _tokenSet_74

          public static final BitSet _tokenSet_74

    - #### _tokenSet_75

          public static final BitSet _tokenSet_75

    - #### _tokenSet_76

          public static final BitSet _tokenSet_76

    - #### _tokenSet_77

          public static final BitSet _tokenSet_77

    - #### _tokenSet_78

          public static final BitSet _tokenSet_78

    - #### _tokenSet_79

          public static final BitSet _tokenSet_79

    - #### _tokenSet_80

          public static final BitSet _tokenSet_80

    - #### _tokenSet_81

          public static final BitSet _tokenSet_81

    - #### _tokenSet_82

          public static final BitSet _tokenSet_82

    - #### _tokenSet_83

          public static final BitSet _tokenSet_83

  - ### Constructor Detail

    - #### GnuCParser

          protected GnuCParser(TokenBuffer tokenBuf,
                    int k)

    - #### GnuCParser

          public GnuCParser(TokenBuffer tokenBuf)

    - #### GnuCParser

          protected GnuCParser(TokenStream lexer,
                    int k)

    - #### GnuCParser

          public GnuCParser(TokenStream lexer)

    - #### GnuCParser

          public GnuCParser(ParserSharedInputState state)

  - ### Method Detail

    - #### isTypedefName

          public boolean isTypedefName(String name)

    - #### getAScopeName

          public String getAScopeName()

    - #### pushScope

          public void pushScope(String scopeName)

    - #### popScope

          public void popScope()

    - #### reportError

          public void reportError(RecognitionException ex)

    - #### reportWarning

          public void reportWarning(String s)

    - #### match

          public void match(int t)
                     throws MismatchedTokenException

      Throws:
        `MismatchedTokenException`

    - #### traceIn

          public void traceIn(String rname)

    - #### traceOut

          public void traceOut(String rname)

    - #### translationUnit

          public final void translationUnit()
                                     throws RecognitionException,
                                            TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### externalList

          public final void externalList()
                                  throws RecognitionException,
                                         TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### asm_expr

          public final void asm_expr()
                              throws RecognitionException,
                                     TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### expr

          public final void expr()
                          throws RecognitionException,
                                 TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### idList

          public final void idList()
                            throws RecognitionException,
                                   TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### externalDef

          public final void externalDef()
                                 throws RecognitionException,
                                        TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### declaration

          public final void declaration()
                                 throws RecognitionException,
                                        TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### functionPrefix

          public final void functionPrefix()
                                    throws RecognitionException,
                                           TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### functionDef

          public final void functionDef()
                                 throws RecognitionException,
                                        TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### typelessDeclaration

          public final void typelessDeclaration()
                                         throws RecognitionException,
                                                TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### functionDeclSpecifiers

          public final void functionDeclSpecifiers()
                                            throws RecognitionException,
                                                   TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### declarator

          public final String declarator(boolean isFunctionDefinition)
                                  throws RecognitionException,
                                         TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### initDeclList

          public final void initDeclList(AST declarationSpecifiers)
                                  throws RecognitionException,
                                         TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### initializer

          public final void initializer()
                                 throws RecognitionException,
                                        TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### initializerElementLabel

          public final void initializerElementLabel()
                                             throws RecognitionException,
                                                    TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### assignExpr

          public final void assignExpr()
                                throws RecognitionException,
                                       TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### lcurlyInitializer

          public final void lcurlyInitializer()
                                       throws RecognitionException,
                                              TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### constExpr

          public final void constExpr()
                               throws RecognitionException,
                                      TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### rangeExpr

          public final void rangeExpr()
                               throws RecognitionException,
                                      TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### initializerList

          public final void initializerList()
                                     throws RecognitionException,
                                            TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### pointerGroup

          public final void pointerGroup()
                                  throws RecognitionException,
                                         TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### declaratorParamaterList

          public final void declaratorParamaterList(boolean isFunctionDefinition,
                                     String declName)
                                             throws RecognitionException,
                                                    TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### declSpecifiers

          public final void declSpecifiers()
                                    throws RecognitionException,
                                           TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### parameterTypeList

          public final void parameterTypeList()
                                       throws RecognitionException,
                                              TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### parameterDeclaration

          public final void parameterDeclaration()
                                          throws RecognitionException,
                                                 TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### declarationList

          public final void declarationList()
                                     throws RecognitionException,
                                            TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### localLabelDeclaration

          public final void localLabelDeclaration()
                                           throws RecognitionException,
                                                  TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### declarationPredictor

          public final void declarationPredictor()
                                          throws RecognitionException,
                                                 TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### functionStorageClassSpecifier

          public final void functionStorageClassSpecifier()
                                                   throws RecognitionException,
                                                          TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### typeSpecifier

          public final int typeSpecifier(int specCount)
                                  throws RecognitionException,
                                         TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### structOrUnionSpecifier

          public final void structOrUnionSpecifier()
                                            throws RecognitionException,
                                                   TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### attributeDecl

          public final void attributeDecl()
                                   throws RecognitionException,
                                          TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### enumSpecifier

          public final void enumSpecifier()
                                   throws RecognitionException,
                                          TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### typedefName

          public final void typedefName()
                                 throws RecognitionException,
                                        TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### typeName

          public final void typeName()
                              throws RecognitionException,
                                     TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### structOrUnion

          public final void structOrUnion()
                                   throws RecognitionException,
                                          TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### structDeclarationList

          public final void structDeclarationList()
                                           throws RecognitionException,
                                                  TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### structDeclaration

          public final void structDeclaration()
                                       throws RecognitionException,
                                              TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### specifierQualifierList

          public final void specifierQualifierList()
                                            throws RecognitionException,
                                                   TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### structDeclaratorList

          public final void structDeclaratorList()
                                          throws RecognitionException,
                                                 TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### structDeclarator

          public final void structDeclarator()
                                      throws RecognitionException,
                                             TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### enumList

          public final void enumList(String enumName)
                              throws RecognitionException,
                                     TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### enumerator

          public final void enumerator(String enumName)
                                throws RecognitionException,
                                       TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### initDecl

          public final void initDecl(AST declarationSpecifiers)
                              throws RecognitionException,
                                     TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### attributeList

          public final void attributeList()
                                   throws RecognitionException,
                                          TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### stringConst

          protected final void stringConst()
                                    throws RecognitionException,
                                           TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### attribute

          public final void attribute()
                               throws RecognitionException,
                                      TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### compoundStatement

          public final void compoundStatement(String scopeName)
                                       throws RecognitionException,
                                              TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### nestedFunctionDef

          public final void nestedFunctionDef()
                                       throws RecognitionException,
                                              TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### statementList

          public final void statementList()
                                   throws RecognitionException,
                                          TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### statement

          public final void statement()
                               throws RecognitionException,
                                      TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### conditionalExpr

          public final void conditionalExpr()
                                     throws RecognitionException,
                                            TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### logicalOrExpr

          public final void logicalOrExpr()
                                   throws RecognitionException,
                                          TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### castExpr

          public final void castExpr()
                              throws RecognitionException,
                                     TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### unaryExpr

          public final void unaryExpr()
                               throws RecognitionException,
                                      TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### nonemptyAbstractDeclarator

          public final void nonemptyAbstractDeclarator()
                                                throws RecognitionException,
                                                       TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### postfixExpr

          public final void postfixExpr()
                                 throws RecognitionException,
                                        TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### unaryOperator

          public final void unaryOperator()
                                   throws RecognitionException,
                                          TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### gnuAsmExpr

          public final void gnuAsmExpr()
                                throws RecognitionException,
                                       TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### strOptExprPair

          public final void strOptExprPair()
                                    throws RecognitionException,
                                           TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### primaryExpr

          public final void primaryExpr()
                                 throws RecognitionException,
                                        TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### charConst

          protected final void charConst()
                                  throws RecognitionException,
                                         TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### storageClassSpecifier

          public final void storageClassSpecifier()
                                           throws RecognitionException,
                                                  TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### typeQualifier

          public final void typeQualifier()
                                   throws RecognitionException,
                                          TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### assignOperator

          public final void assignOperator()
                                    throws RecognitionException,
                                           TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### logicalAndExpr

          public final void logicalAndExpr()
                                    throws RecognitionException,
                                           TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### inclusiveOrExpr

          public final void inclusiveOrExpr()
                                     throws RecognitionException,
                                            TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### exclusiveOrExpr

          public final void exclusiveOrExpr()
                                     throws RecognitionException,
                                            TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### bitAndExpr

          public final void bitAndExpr()
                                throws RecognitionException,
                                       TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### equalityExpr

          public final void equalityExpr()
                                  throws RecognitionException,
                                         TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### relationalExpr

          public final void relationalExpr()
                                    throws RecognitionException,
                                           TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### shiftExpr

          public final void shiftExpr()
                               throws RecognitionException,
                                      TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### additiveExpr

          public final void additiveExpr()
                                  throws RecognitionException,
                                         TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### multExpr

          public final void multExpr()
                              throws RecognitionException,
                                     TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### postfixSuffix

          public final void postfixSuffix()
                                   throws RecognitionException,
                                          TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### functionCall

          public final void functionCall()
                                  throws RecognitionException,
                                         TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### argExprList

          public final void argExprList()
                                 throws RecognitionException,
                                        TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### intConst

          protected final void intConst()
                                 throws RecognitionException,
                                        TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### floatConst

          protected final void floatConst()
                                   throws RecognitionException,
                                          TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### dummy

          public final void dummy()
                           throws RecognitionException,
                                  TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### buildTokenTypeASTClassMap

          protected void buildTokenTypeASTClassMap()